<?php
/*
 +-------------------------------------------------------------------------+
 | Copyright (C) 2011 Herve Donati <herve.donati@ac-caen.fr>               |
 |                                                                         |
 | This program is free software; you can redistribute it and/or           |
 | modify it under the terms of the GNU General Public License             |
 | as published by the Free Software Foundation; either version 2          |
 | of the License, or (at your option) any later version.                  |
 |                                                                         |
 | This program is distributed in the hope that it will be useful,         |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           |
 | GNU General Public License for more details.                            |
 +-------------------------------------------------------------------------+
*/

include_once("../../include/config.php");
include_once("../../include/global.php");
include_once("../../lib/rrd.php");
include_once("top_general_header.php");

// Initialize
$graphe        = $_POST["graph_id" ];
$rra           = $_POST["rra" ];
$nb_t          = $_POST["nb_t"];
$req           = "select timespan from rra where id=$rra";
$time_interval = db_fetch_cell( $req );
$req           = "select title_cache from graph_templates_graph where local_graph_id=$graphe";
$graph_title   = db_fetch_cell( $req );
switch ($rra) {
    case 1:
        $timespan_name = 'days';
        break;
    case 2:
        $timespan_name = 'weeks';
        break;
    case 3:
        $timespan_name = 'months';
        break;
    case 4:
        $timespan_name = 'years';
        break;
    case 7:
        $timespan_name = 'hours';
        break;
}

// Header : View Graph "the graph" for last "N timespans"
print "<TABLE width='100%'>\n";
print "    <TR bgcolor=" . $colors["header"] . ">\n";
print "        <TD colspan='3' class='textHeaderDark'>\n";
$nb_ts = $nb_t+1;
print "            <STRONG>Viewing Graph</STRONG> " . htmlspecialchars($graph_title) . " <STRONG>for last $nb_ts $timespan_name</STRONG>\n";
print "        </TD>\n";
print "    </TR>\n";
print "</TABLE>\n";
print "<BR/>\n";
?>

<CENTER>
<TABLE WIDTH='100%'>
<TR>
    <!-- First, display current timespan graph -->
    <IMG SRC='<?php print "../../graph_image.php?local_graph_id=$graphe&rra_id=$rra";?>' ALT=''>
    <BR/><BR/>
</TR>

<?php
    // Then, display as many graph as asked, going back each time
    // with RRA timespan interval
    for ( $i=1; $i<=$nb_t; $i++ ) {
        $graph_end   = -1 * $time_interval * $i;
        $graph_start = $graph_end - $time_interval;
        print "<TR>\n";
        print "<IMG SRC='../../graph_image.php?local_graph_id=$graphe&rra_id=$rra&graph_start=$graph_start&graph_end=$graph_end' alt=''><BR/><BR/>\n";
        print "</TR>\n";
    }
?>
</TABLE>
<INPUT type="button" name="bouton_retour" value="Back" onclick="history.back();"/>
<BR />
</CENTER>
