<?php
/*
 +-------------------------------------------------------------------------+
 | Copyright (C) 2011 Herve Donati <herve.donati@ac-caen.fr>               |
 |                                                                         |
 | This program is free software; you can redistribute it and/or           |
 | modify it under the terms of the GNU General Public License             |
 | as published by the Free Software Foundation; either version 2          |
 | of the License, or (at your option) any later version.                  |
 |                                                                         |
 | This program is distributed in the hope that it will be useful,         |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           |
 | GNU General Public License for more details.                            |
 +-------------------------------------------------------------------------+
*/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<HTML xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" >
    <HEAD>
        <META http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <SCRIPT TYPE="text/javascript" SRC="./js/jquery-latest.min.js">
        </SCRIPT>
        <!-- JavaScript function to display #graphs to select in nb_t zone  
             starting from 1 to a value depending on timespan
             daily : 6, weekly: 3, monthly: 11, yearly: 4 hourly: 23 
             You may want to change that here                              -->
        <SCRIPT TYPE="text/javascript">
            function listNbint( rra_chosen ) {
                var optnb=document.laforme.nb_t;
                var incr =0;
                var i    =0;
                optnb.options.length=0;
                switch ( rra_chosen ) {
                    case "1":
                        incr=6;
                        break;
                    case "2":
                        incr=3;
                        break;
                    case "3":
                        incr=11;
                        break;
                    case "4":
                        incr=4;
                        break;
                    case "7":
                        incr=23;
                        break;
                }
                for ( i=1; i<=incr; i++ ) {
                    optnb.options[optnb.options.length]=new Option( i, i );
                }
            }
        </SCRIPT>
    </HEAD>
    <!-- onLoad : display hourly (7 in rra table). You may change that -->
    <BODY onLoad="listNbint('7');">
        <?php
            //Initialization section
            include_once("../../include/config.php");
            include_once("../../include/global.php");
            include_once("top_general_header.php");
            $link = mysql_connect($database_hostname,$database_username,$database_password) or die('Could not connect: ' . mysql_error());
            mysql_selectdb($database_default,$link) or die('Could not select database: ' . mysql_error());
            $current_user = db_fetch_row("select * from user_auth where id=" . $_SESSION["sess_user_id"]);
            $sql_where = get_graph_permissions_sql($current_user["policy_graphs"], $current_user["policy_hosts"], $current_user["policy_graph_templates"]);
        ?>
    <FORM NAME="laforme" id="laforme" method="post" action="timeshift_res.php">
    <TABLE CELLPADDING="1" CELLSPACING="0">
        <TR>
            <!-- Host zone : if changed, recalculate graph box -->
            <TD WIDTH="10">&nbsp;Host:&nbsp;</TD>
            <TD width="1">
                <SELECT NAME="host_id" onChange="$('#graph_id').load('graphs_sel.php?hostrech='+this.value);" ID="host_id">
                    <OPTION VALUE="0" SELECTED>None</OPTION>
                        <?php
                            // Get allowed hosts list
                            $hosts = db_fetch_assoc("SELECT DISTINCT host.id, CONCAT_WS('',host.description,' (',host.hostname,')') as name
                                FROM (graph_templates_graph,host)
                                LEFT JOIN graph_local ON (graph_local.host_id=host.id)
                                LEFT JOIN graph_templates ON (graph_templates.id=graph_local.graph_template_id)
                                LEFT JOIN user_auth_perms ON ((graph_templates_graph.local_graph_id=user_auth_perms.item_id and user_auth_perms.type=1 and user_auth_perms.user_id=" . $_SESSION["sess_user_id"] . ") OR (host.id=user_auth_perms.item_id and user_auth_perms.type=3 and user_auth_perms.user_id=" . $_SESSION["sess_user_id"] . ") OR (graph_templates.id=user_auth_perms.item_id and user_auth_perms.type=4 and user_auth_perms.user_id=" . $_SESSION["sess_user_id"] . "))
                                WHERE graph_templates_graph.local_graph_id=graph_local.id " . (empty($sql_where) ? "" : "and $sql_where") . "
                                ORDER BY name");
                            // Display each one
                            foreach ( $hosts as $host ) {
                               print "<OPTION VALUE='" . $host["id"] . "'>";
                               print title_trim(htmlspecialchars($host["name"]), 40) . "</OPTION>\n";
                            }
                        ?>
                </SELECT>
        </TR>
        <TR>
            <!-- Graph zone: initialize with 0 to get unattached graphs -->
            <TD width="10">&nbsp;Graph:&nbsp;</TD>
            <TD width="1">
                <SELECT NAME="graph_id" ID="graph_id">
                    <?php
                        $hostrech=0;
                        include('graphs_sel.php');
                    ?>
                </SELECT>
            </TD>
        </TR>
        <TR>
            <!-- RRA zone: filled from rra table
                           if modified then fill nb_t zone -->
            <TD WIDTH="10">&nbsp;RRA:&nbsp;</TD>
            <TD width="1">
                <SELECT NAME="rra" onChange="listNbint( this.value );" ID="rra">
                    <?php
                        $timespans = db_fetch_assoc("SELECT id, name FROM rra ORDER BY timespan");
                        foreach ( $timespans as $timespan ) {
                           print "<OPTION VALUE='" . $timespan["id"] . "'>";
                           print title_trim(htmlspecialchars($timespan["name"]), 40) . "</OPTION>\n";
                        }
                    ?>
                </SELECT>
        </TR>
        <TR>
            <!-- nb_t zone: to choose number of timeshifts
                            i.e. number of graphs to display back
                            in addition to current graph -->
            <TD WIDTH="10">&nbsp;#Timeshifts:&nbsp;</TD>
            <TD width="1">
                <SELECT NAME="nb_t" ID="nb_t">
                    <OPTION VALUE='0'>0</OPTION>
                </SELECT>
        </TR>
    </TABLE>
    <BR />
    <INPUT type='submit' id='bouton-submit' value='Go' onclick='javascript:this.form.submit()'>
    <INPUT type='reset' value='Clear'>
    </FORM>
</BODY>
</HTML>
